View Issue Details

IDProjectCategoryView StatusLast Update
0000800SpeedFanOtherpublic2007-08-29 00:52
ReportertomhAssigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS VersionXP SP2
Product Version 
Target VersionFixed in Version 
Summary0000800: 4.32 b17 has problems with F-Secure Client Security 2007 installed
DescriptionWe using SF along with speedfan in computers of many of our customers for years without a single problem.
In the beginning of February F-Secure released the newest version of their security client software - using the new FS version along with SpeedFan 4.31 has no porblems.
Trying the newest beta (b17) gives interesting error messages RIGHT AFTER starting of SF. It can be seen in the attached screenshot.

The exeption messages apperar in every second with the same message. I suspect the error is in a timed event so I tried /NOTIMER switch - it didn't helped. None of other swithes are helped as well.

Finally I've found that the problem is gone if FSCS 2007's System Control feature is disabled.

I have tried this scenario on 5 computers. I sent a report from each of them and also sent you an email to be able to find them.

The cross test of the versions resulted that
- SF 4.31 doesn't produce the error with any FSCS including version 2007
- SF 4.32b17 doesn't produce the error with FSCS 2006 (the older version)

The most interesting thing is that if SF beta started when the CPU usage is high (eg. in the time of system startup) the error doesn't appear :=O This behavior is always reproducable (suspects me that the problem could be that FS2007 delays loading some system dll's)

If its a simple incompatibility with the two products you may don't want to take effort to solve it but I think there is a chance that this problem might appear with other security software as well.

If I'd have access to older 4.32 betas then of course I'm ready to test what version introduced the problem...

TagsNo tags attached.
Motherboard Model
Video Card ModelHIS Ati 9600 Pro 128Mb

Relationships

has duplicate 0000915 resolvedalfredo Access Violation at address 00545OAF 
related to 0000914 resolvedalfredo access violation on first start 

Activities

2007-02-25 15:32

 

Clipboard01.gif (266,581 bytes)

alfredo

2007-03-01 19:15

manager   ~0002372

Could you tell me what does exactly the "System Control Feature" do?

tomh

2007-03-02 11:59

reporter   ~0002384

It checks applications for suspicious behavior and tries to block them if they access the key part of the registry or system folders. Also it checks for riskware appz like keyloggers, remote desktop sw., etc.
It displays a warning before it blocks to run any software and the user can decide to permit or block. If the app permitted by the user it's added to an exclusion list. SF is in the list ofcourse.
The problem still exists with 4.32.

tomh

2007-04-16 21:45

reporter   ~0002482

Are you have any notion to investigate this problem? We have it in all of our customers' computer (where FSecure used)... so we still using 4.31 which isn't a big problem now since it works well and there are AMD cpus in the majority of comps and we won't deploy vista until it needed very bad. But it won't last forever... and what is more important there could be more victims around the world especially in Europe where FSecure products used.
As I told I can help you anytime to test (with win32 programming knowledge) what time the problem encountered.
Btw. it seems that 4.32 final is fully incompatible with FSCS 2007 it doesn't work at all regardless of any settings in FS so with 4.32 final disabling app control doesn't solve the problem.
Regards, Tom

alfredo

2007-04-16 22:45

manager   ~0002483

I have a new beta for you to try. Please, drop me an email from an address where I can send a 1MB ZIP file containing an EXE.

tomh

2007-04-29 13:27

reporter   ~0002503

Done (from : tom_at_w@i_hu). Still waiting for the file.

tomh

2007-06-19 23:45

reporter   ~0002601

I still didn't get the beta, but seems to found a solution the way what's totally independent on SpeedFan.
I've read this (http://www.alex-ionescu.com/?p=39) great article about application compatibility system of WinXP recently. It tells a lot about the different ways of loading system dlls if an application is running on compatibility mode. As I suspected this problem is because F-Secure keep some system dlls load properly I did a try and... BINGO.
When I set application compatibility mode to emulate Win2000 the problem has gone. Ive tried it on 4 computers with success so it can be a working solution. Seems SF has no problems running on XP while the operating system provides a W2K emulated enviroment.
(Here's a howto for those who never used appliaction compatibility setting in WinXP : http://www.microsoft.com/windowsxp/using/helpandsupport/learnmore/russel_02february18.mspx )

ArcaneMagus

2007-07-12 09:29

reporter   ~0002632

This issue is not wholly related to the AV software in use. I am using Kaspersky Internet Security 6.0 on my 2 computers. I am running the exact same version of the AV software and both machines are using Windows Vista Ultimate. On my desktop with a DFI LanParty UT nForce3 250GB motherboard in it I get the described issue if the "Proactive Defense" part of Kaspersky is enabled when SpeedFan starts up. If that component is disabled when SpeedFan is starting then it has no problem with it. The odd thing is that my laptop, a Dell Inspiron E1705 has no problems at all with Proactive Defense being enabled when SpeedFan is starting up. So part of this issue has to be related to the underlying hardware in the system.

tomh

2007-07-12 11:07

reporter   ~0002633

Last edited: 2007-07-12 11:11

Can be hardware. But I experienced it in all computers I tried regardless of the hardware. And you will be more confused if you check out the other 4-5 later issues what turned to be similar to this one. Using at least 2 other security software casued the same problem for some users.
(And FYI F-Secure is an advanced security product using 4 virus/spyware scanner engine and database including Kaspersky's)
So finally we know that the problem exists under Vista as well. Have you tried to solve it the similar way written above? AFAIK it was a solution for all XP users.

tomh

2007-08-28 18:09

reporter   ~0002786

Glad to report that this problem seems to be gone with 4.33 b18. As it has tried with 4 computers running F-Secure I think this issue can be set to Resolved.

Note that there are at least 5 issue of the same sympthoms reported here in the last 2-3 months with other security products (spyware scanners, etc) involved. Hope they are solved with the update, too.

alfredo

2007-08-29 00:51

manager   ~0002790

I'm glad to hear that the issue is gone. IMHO somebody else (not me) changed something somewhere. If I wrote an application that sits between the OS and everything else, that application could do all sort of things to other applications. In our scenario F-PROT is the "application" and SPEEDFAN is the "other application". IMHO you should blame antivirus softwares for this kind of incompatibility. Long ago I said that one day antiviruses will simply ask to power off our computer "in order to achieve maximum security" :-)

Issue History

Date Modified Username Field Change
2007-02-25 15:32 tomh New Issue
2007-02-25 15:32 tomh File Added: Clipboard01.gif
2007-02-25 15:32 tomh Video Card Model => HIS Ati 9600 Pro 128Mb
2007-03-01 19:15 alfredo Note Added: 0002372
2007-03-01 19:15 alfredo Status assigned => acknowledged
2007-03-02 11:59 tomh Note Added: 0002384
2007-04-16 21:45 tomh Note Added: 0002482
2007-04-16 22:45 alfredo Note Added: 0002483
2007-04-29 13:27 tomh Note Added: 0002503
2007-06-19 23:45 tomh Note Added: 0002601
2007-07-12 09:29 ArcaneMagus Note Added: 0002632
2007-07-12 11:07 tomh Note Added: 0002633
2007-07-12 11:11 tomh Note Edited: 0002633
2007-08-28 18:09 tomh Note Added: 0002786
2007-08-29 00:51 alfredo Note Added: 0002790
2007-08-29 00:52 alfredo Status acknowledged => resolved
2007-08-29 00:52 alfredo Resolution open => fixed
2007-09-19 23:54 alfredo Relationship added has duplicate 0000915
2007-09-19 23:58 alfredo Relationship added related to 0000914